import { Component, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { MatDialogRef } from '@angular/material/dialog';

@Component({
  selector: 'app-add-clients-to-subnet',
  templateUrl: './add-clients-to-subnet.component.html',
  styleUrls: ['./add-clients-to-subnet.component.css']
})
export class AddClientsToSubnetComponent implements OnInit {
  clients: any[] = [];
  selectedClients: any[] = [];
  loading: boolean = true; // Variable para controlar el estado de carga

  constructor(
    private http: HttpClient,
    public dialogRef: MatDialogRef<AddClientsToSubnetComponent>
  ) {}

  ngOnInit(): void {
    // Comienza la carga
    this.loading = true;

    // Hacer la llamada HTTP directamente en el componente
    this.http.get<any>('http://127.0.0.1:8080/clients?page=1&itemsPerPage=30').subscribe(
      response => {
        this.clients = response['hydra:member']; // Asignamos los clientes obtenidos a la variable clients
        this.loading = false; // Los datos se han cargado, desactivar el spinner
      },
      error => {
        console.error('Error fetching clients:', error);
        this.loading = false; // También detener el spinner en caso de error
      }
    );
  }

  save() {
    console.log('Selected clients:', this.selectedClients);
    this.dialogRef.close(this.selectedClients); // Cierra el modal y pasa los clientes seleccionados
  }

  close() {
    this.dialogRef.close();
  }
}
